Name: swig
Version: 1.3.21
Release: alt5

Summary: Simplified Wrapper and Interface Generator (SWIG)
License: Open Source
Group: Development/C

Url: http://www.swig.org/

Source: http://download.sourceforge.net/swig/%name-%version.tar.bz2
Patch0: %name-1.3.21-fix-detect-php.patch

BuildPreReq: ruby

BuildRequires: gcc-c++ glibc-devel-static guile16-devel libruby-devel libstdc++-devel ocaml perl-devel php-devel, python-devel = 2.3, ruby-stdlibs tcl-devel

Provides: %name-devel = %version
Obsoletes: %name-devel <= %version

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package runtime-python
Group: System/Libraries
Summary: SWIG python runtime libraries

%description runtime-python
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

This package includes swig python runtime libraries.


%prep
%setup -q -n SWIG-%version
%patch0 -p1

%build
./autogen.sh
%configure \
	--with-pyinc=%_includedir/python2.3 \
	--with-pylib=%_libdir/python2.3 \
	--with-tclconfig=/usr/lib

%__subst -p 's,/usr/local/include/Py,%_includedir/python2.3,g' Runtime/Makefile
# SMP incompatible
# no `all' target
%make
%make runtime

%install
make install install-runtime \
	DESTDIR=%buildroot \
	M4_INSTALL_DIR=%buildroot%_datadir/aclocal
%__mkdir_p %buildroot%_includedir
%__cp -aL Source/Swig/swig.h Source/DOH/doh.h %buildroot%_includedir
# symlinks
#__rm -fv Examples/perl Examples/test-suite/perl Examples/GIFPlot/Php4

%files
%doc CHANGES LICENSE README Examples Doc
%_bindir/%name
%_libdir/%{name}*
%_datadir/aclocal/%name.m4
%_includedir/*.h

%files runtime-python
%doc CHANGES LICENSE README
%_libdir/lib*py.so*

%changelog
* Fri Jun 11 2004 Gleb Stiblo <ulfR@altlinux.ru> 1.3.21-alt5
- libswigpy moved to swig-runtime-python

* Thu Jun 10 2004 Gleb Stiblo <ulfR@altlinux.ru> 1.3.21-alt4
- libswigpy.so added for subversion-python

* Fri Jun 04 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.3.21-alt3
- removed runtime libraries
- swig and swing-devel merged

* Thu Jun 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.3.21-alt2
- rebuild with new python building scheme

* Wed Jan 14 2004 Alexey Tourbin <at@altlinux.ru> 1.3.21-alt1
- 1.3.12
- built with python23

* Thu Nov 27 2003 Alexey Tourbin <at@altlinux.ru> 1.3.19-alt2
- do not package .la files
- post/postun ldconfig scripts added
- static libraries not packaged by default

* Thu Nov 13 2003 Alexey Tourbin <at@altlinux.ru> 1.3.19-alt1
- updated to 1.3.19

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 1.3.16-alt1
- 1.3.16

* Wed Aug 14 2002 Rider <rider@altlinux.ru> 1.3.14-alt1
- 1.3.14
- specfile cleanup
- BuildRequires fix

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 1.3.11-alt1
- 1.3.11

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 1.3a5-alt1
- 1.3a5

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation
- build with pythin 2.0

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3a3-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk

- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk

- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk
- First RPM for Mandrake

